Bug 167730 - FEAT RHEL4 U3: 10GigE Neterion Driver Update (S2io)
FEAT RHEL4 U3: 10GigE Neterion Driver Update (S2io)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
: 170707 (view as bug list)
Depends On:
Blocks: 168430
  Show dependency treegraph
 
Reported: 2005-09-07 13:36 EDT by Ravinandan Arakali
Modified: 2010-10-21 23:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for Xframe II support (203.13 KB, patch)
2005-09-08 18:22 EDT, Ravinandan Arakali
no flags Details | Diff
Tarball of latest driver(v2.0.8.1) with Xframe II support (68.13 KB, application/x-gzip)
2005-09-08 18:26 EDT, Ravinandan Arakali
no flags Details
jwltest-s2io-2_0_8_1.patch (202.84 KB, patch)
2005-09-14 20:29 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Ravinandan Arakali 2005-09-07 13:36:07 EDT
Description of problem:
Adding support for Neterion Xframe-II adapter

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Larry Troan 2005-09-07 15:49:40 EDT
Is there a new PCI ID planned for the new hardware supported by this driver? 

If so, you need to get it registered on http://pciids.sourceforge.net as part of
this request.
Comment 3 Ravinandan Arakali 2005-09-07 16:25:14 EDT
There is a new PCI ID. It needs to be submitted to sourceforge.

Comment 4 Ravinandan Arakali 2005-09-08 18:22:45 EDT
Created attachment 118613 [details]
Patch for Xframe II support

The patch has been generated against the driver found in RedHat4 Update1.

Ravi
Comment 5 Ravinandan Arakali 2005-09-08 18:26:19 EDT
Created attachment 118614 [details]
Tarball of latest driver(v2.0.8.1) with Xframe II support

Since earlier patch was generated against RH4 U1(since could not find driver
sources for RH4U2), attaching the tarball of actual driver sources(in case
patch does not apply cleanly on RH4U2).

Ravi
Comment 6 Ravinandan Arakali 2005-09-08 18:28:38 EDT
Also, submitted new PCI device id for Xframe II to http://pciids.sourceforge.net.

Ravi
Comment 7 Ravinandan Arakali 2005-09-08 20:04:46 EDT
Note that in the above patch/tarball, there's one patch(containing few minor
changes) which is pending acceptance by kernel community. However, we don't
expect any problems in acceptance of this patch.

Ravi
Comment 8 John W. Linville 2005-09-14 15:44:03 EDT
Could you point-out the specific change you mentioned in comment 7?  I want to 
make sure I get it.  Thanks! 
Comment 9 Ravinandan Arakali 2005-09-14 17:12:18 EDT
John,
From the driver(version 1.7.5.1) in RH4 U2, there have been several patches
submitted to kernel community to bring it up to 2.0.8.1. All these patches have
been accepted except the last patch in the sequence which is pending acceptance.
I can forward you the patch I submitted, but following were the list of changes.

1. Updated the definition of single and double-bit ECC errors
2. Earlier we were allocating Transmit descriptors equal to
   MAX_SKB_FRAGS. This was causing a boundary condition failure.
   Need to allocate MAX_SKB_FRAGS+1 descriptors.
3. On some platforms(like PPC), pci_alloc_consistent() can return
   a zero DMA address. Since the NIC cannot handle zero-addresses,
   a workaround has been provided. Basically, we don't use such
   that page. We reallocate.
4. If list_info allocation failed during driver load, check for
   it during driver exit and return instead of trying to dereference 
   NULL pointer.
5. Increase the debug level of few non-critical debug messages.
6. Reset the card on critical ECC double errors only in case of
   XframeI since XframeII can recover from such errors.
7. Print copyright message on driver load.
8. Bumped up the driver version no. to 2.0.8.1

Thanks,
Ravi
Comment 10 John W. Linville 2005-09-14 20:29:22 EDT
Created attachment 118824 [details]
jwltest-s2io-2_0_8_1.patch
Comment 11 John W. Linville 2005-09-14 20:33:05 EDT
Test kernels with the above patch are available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please confirm that this driver works in these kernels, and that it has all 
the changes required.  If necessary, please attach a patch to cover any 
additional changes...thanks! 
Comment 12 Ravinandan Arakali 2005-09-21 15:34:45 EDT
Patch tested and verified to contain Neterion's latest driver.

Ravi
Comment 15 John W. Linville 2005-10-18 14:34:38 EDT
*** Bug 170707 has been marked as a duplicate of this bug. ***
Comment 21 Red Hat Bugzilla 2006-03-07 14:49:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.